%forward euler method for ODE  y'= x^2 - y^2 , y(a)=1
% inputs: a,b = initial values for x in [a,b]
%           n = steps 
h = (b-a)/n;  %step size 
x =a:h:b; 
y = 0*x;  
y(1) = 1; %initial condition

for k=1:length(x)-1,
    y(k+1) = y(k) + h*(x(k)^2 - y(k)^2);
end

plot(x,y)
%plot(x,y,'go')

% type (for example) in the Command Window:
% a=-2; b=2; n=40; euler 

